<?php
	require_once("lib.php");

	$subtitle = "Add question";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	if ($_SERVER['REQUEST_METHOD'] != 'POST')
	{
		// Validate GET Input
		$course = validate($_GET['course'], $db);
		$section = validate($_GET['section'], $db, "numeric");
		$semester = validate($_GET['semester'], $db);
		$year = validate($_GET['year'], $db, "numeric");
		$assignment = validate($_GET['assignment'], $db);
		$question = validate($_GET['question'], $db, "numeric");
		$nCorrect = validate($_GET['ncorrect'], $db, "numeric");
		$nAttempted = validate($_GET['nattempted'], $db, "numeric");

		question_form($GLOBALS['TITLE'], $subtitle, $user, 'addquestion/', $course['html'], $section['html'], $semester['html'], $year['html'], $assignment['html'], $question['html'], $nCorrect['html'], $nAttempted['html']);
		exit();
	}

	// Validate Input
	$course = validate($_POST['course'], $db);
	$section = validate($_POST['section'], $db, "numeric");
	$semester = validate($_POST['semester'], $db);
	$year = validate($_POST['year'], $db, "numeric");
	$assignment = validate($_POST['assignment'], $db);
	$question = validate($_POST['question'], $db, "numeric");
	$nCorrect = validate($_POST['nCorrect'], $db, "numeric");
	$nAttempted = validate($_POST['nAttempted'], $db, "numeric");

	// Add question
	$query = $db->query("UPDATE questions SET question = $question[sql], nCorrect = $nCorrect[sql], nAttempted = $nAttempted[sql]");
	if (!DB::isError($query))
	{
		success_page($GLOBALS['TITLE'], $subtitle, $user, "assignment/$course[url]/$section[url]/$semester[url]/$year[url]/$assignment[url]/", "Question added.");
	}
	else
	{
		$error = getError($query);
		error_page($GLOBALS['TITLE'], $subtitle, $user, "Failed to add question: " . $error);
	}
?>