<?php
	require_once("lib.php");

	$subtitle = "Modify student";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	if ($_SERVER['REQUEST_METHOD'] != 'POST')
	{
		// Validate GET input
		$username = validate($_GET['username'], $db);
		$id = validate($_GET['id'], $db, "numeric");
		$name = validate($_GET['name'], $db);
		$major = validate($_GET['major'], $db);
		student_form($GLOBALS['TITLE'], $subtitle, $user, "modifystudent/", $username['html'], $id['html'], $name['html'], $major['html']);
		exit();
	}

	// Validate input
	$username = validate($_POST['username'], $db);
	$id = validate($_POST['id'], $db, "numeric");
	$name = validate($_POST['name'], $db);
	$major = validate($_POST['major'], $db);

	if ($name == "null" || $id  == "null")
	{
		student_form($GLOBALS['TITLE'], $subtitle, $user, "modifystudent/", $username['html'], $id['html'], $name['html'], $major['html'], "Invalid Input");
		exit();
	}

	// modify student
	$query = $db->query("UPDATE students SET id = '$id[sql]', name = '$name[sql]', major = '$major[sql]' WHERE username = '$username[sql]'");
	if (!DB::isError($query))
	{
		success_page($GLOBALS['TITLE'], $subtitle, $user, "index/", "Student modified.");
	}
	else
	{
		$error = getError($query);
		error_page($GLOBALS['TITLE'], $subtitle, $user, "Failed to modify student: " . $error);
	}
?>