<?php
	require_once("lib.php");

	$subtitle = "Section list";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	include "head.html";
	echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";

	// Validate input
	$course = validate($_GET['course'], $db);

	// Output section table
	$query = $db->query("SELECT * FROM sections WHERE course = '$course[sql]' ORDER BY year DESC");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}

	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Sections</span><span> - <a href=\"addsection/$course[url]/\">Add section</a></span></div>\n";
	echo "<table>\n";
	echo "<tr><th>Course</th><th>Section</th><th>Semester</th><th>Year</th><th>Instructor</th><th>Schedule</th><th>Location</th><th># of Students</th><th>Report</th><th>Modify</th><th>Delete</th></tr>\n";

	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$class = "row" . $i % 2;
		$section['url'] = urlencode($row->section);
		$semester['url'] = urlencode($row->semester);
		$year['url'] = urlencode($row->year);
		$instructor['url'] = urlencode($row->instructor);
		$schedule['url'] = urlencode($row->schedule);
		$location['url'] = urlencode($row->location);

		$query2 = $db->query("SELECT * FROM enrollment WHERE course = '$course[sql]' and section = $row->section and semester = '$row->semester' and year = $row->year");
		$nStudents = $query2->numRows();
		echo "<tr class=\"$class\"><td><a href=\"section/$course[url]/$section[url]/$semester[url]/$year[url]/\">$row->course</a></td><td class=\"center\">$row->section</td><td>$row->semester</td><td>$row->year</td><td>$row->instructor</td><td>$row->schedule</td><td>$row->location</td><td class=\"center\">$nStudents</td><td><a href=\"report/$course[url]/$section[url]/$semester[url]/$year[url]/\">View</a></td><td class=\"center\"><a href=\"modifysection/$course[url]/$section[url]/$semester[url]/$year[url]/$instructor[url]/$schedule[url]/$location[url]/\"><img class=\"icon\" src=\"images/icons/blue/database.gif\" width=\"16\" height=\"16\" alt=\"blue database\" /></a></td><td class=\"center\"><a id=\"section_url$i\" href=\"javascript:unlock('section', '$i', 'deletesection/$course[url]/$section[url]/$semester[url]/$year[url]/')\"><img class=\"icon\" id=\"section_image$i\" src=\"images/icons/blue/lock.gif\" width=\"16\" height=\"16\" alt=\"blue lock\" /></a></td></tr>\n";
	}
	echo "</table>\n";
	include "rgrey_footer.html";
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - <a href=\"course/$course[url]/\">Section List</a> - Section - Report - Email - Print</div>";
	include "footer.html";
?>