<?php
	require_once("lib.php");

	$subtitle = "Student list";
	auth($subtitle);
	$user = $_SESSION['user'];
	$db = db_connect();

	include "head.html";
	echo "<title>$GLOBALS[TITLE]: $subtitle</title>\n";
	include "header.html";
	echo "<div class=\"title\"><a class=\"index\" href=\"index/\">$GLOBALS[TITLE]: $subtitle</a></div>\n";
	echo "<div>Logged in as $user - <a href=\"logout/\">Logout</a></div>";

	// Validate input
	$course = validate($_GET['course'], $db);
	$section = validate($_GET['section'], $db);
	$semester = validate($_GET['semester'], $db);
	$year = validate($_GET['year'], $db);

	// Output student table
	$query = $db->query("SELECT * FROM students");
	if (DB::isError($query))
	{
		$error = getError($query);
		echo "Unexpected error: $error";
	}
	include "rgrey_header.html";
	echo "<div><span class=\"subtitle\">Registered Students</span></div>\n";
	echo "<table>\n";
	echo "<tr><th>Name</th><th>Major</th><th>Id</th><th>Modify</th><th>Delete</th></tr>\n";

	for ($i = 0; $row =& $query->fetchRow(); $i++)
	{
		$class = "row" . $i % 2;
		$username['url'] = urlencode($row->username);
		$id['url'] = urlencode($row->id);
		$name['url'] = urlencode($row->name);
		$major['url'] = urlencode($row->major);
		echo "<tr class=\"$class\"><td><a href=\"enroll/$course[url]/$section[url]/$semester[url]/$year[url]/$id[url]/\">$row->name</a></td><td>$row->major</td><td>$row->id</td><td class=\"center\"><a href=\"modifystudent/$username[url]/$id[url]/$name[url]/$major[url]/\"><img class=\"icon\" src=\"images/icons/blue/database.gif\" width=\"16\" height=\"16\" alt=\"blue database\" /></a></td><td class=\"center\"><a id=\"student_url$i\" href=\"javascript:unlock('student', '$i', 'deletestudent/$username[url]/')\"><img class=\"icon\" id=\"student_image$i\" src=\"images/icons/blue/lock.gif\" width=\"16\" height=\"16\" alt=\"blue lock\" /></a></td></tr>\n";
	}
	echo "</table>\n";
	include "rgrey_footer.html";
	echo "<div class=\"nav\"><a href=\"index/\">Course List</a> - <a href=\"course/$course[url]/\">Section List</a> - <a href=\"section/$course[url]/$section[url]/$semester[url]/$year[url]/\">Section</a> - <a href=\"report/$course[url]/$section[url]/$semester[url]/$year[url]/\">Report</a> - Email - Print</div>";
	include "footer.html";
?>